# Project ID - 2023-032

## Main Objective

<p> Our aim is to create a mobile application that leverages patient information to provide accurate predictions and informative details about kidney health. Additionally, we aim to provide users with personalized, kidney-friendly diet plans. We plan to complement the app with an IoT device to test the quality of drinking water, a significant factor in kidney disease. Our goal is to improve the lives of kidney patients by providing them with accessible and actionable health information. </p>

## Main Research Questions

- How can machine learning and image processing be used to accurately identify patients with chronic kidney disease (CKD) in Sri Lanka?
- How can these technologies be leveraged to develop personalized diet plans that effectively manage CKD in Sri Lanka?
- How can an Internet of Things (IoT) device be used to measure and analyze water quality in Sri Lanka, and what are the potential implications for CKD risk factors?
- How can the data generated by these technologies be integrated to inform population-level CKD prevention and management strategies in Sri Lanka?

## Individual Reasearch Questions

| IT Number  | Research Questions                          |
|------------|-------------------------------------|
| IT20154226 | + How can image processing improve the accuracy of medical imaging for kidney diseases? <br> + Can these technologies address errors and limitations in traditional methods and provide patients with a better understanding of their condition? <br> + How can image processing help patients make informed treatment decisions and improve outcomes? <br> + What are the potential benefits of using image processing to improve the diagnosis and management of kidney diseases? |
| IT20226596| + How can we develop a reliable and efficient IoT-based system for real-time monitoring of water quality in Sri Lanka? <br> + How can we address the limitations of manual monitoring methods to identify sudden changes in water quality that could have adverse effects on the health of kidney patients? <br> + What data management systems can be implemented to ensure timely responses to water quality issues in Sri Lanka? <br> + How can we improve access to information about water quality for kidney patients in Sri Lanka, particularly for those who face language barriers? <br> + What impact can the implementation of an efficient and reliable water quality monitoring system have on the health and well-being of kidney patients in Sri Lanka? |
| IT20235260 | + How accurate are ML models for predicting kidney disease in Sri Lanka? <br> + What factors affect model performance (age, gender, socioeconomic status, location)? <br> + What is the public awareness level in Sri Lanka about kidney disease risks and symptoms, and how to improve it? <br> + What are the barriers to accessing timely and accurate kidney disease diagnosis in Sri Lanka, and how to address them? |
| IT20785192 | + How can machine learning be utilized to develop personalized and accessible diet plans for kidney patients in Sri Lanka? <br> + How can this technology overcome the lack of awareness and misconceptions about food and kidney health, and promote healthy eating habits? <br> + How can personalized diet plans reduce the workload on kidneys, control nutrient and fluid levels, and prevent or manage complications? <br> + How can educating kidney patients about healthy eating habits tailored to their needs prevent the worsening of kidney disease and reduce the reliance on expensive treatments? |

## Individual Objectives

| IT Number  | Objectives                          |
|------------|-------------------------------------|
| IT20154226 | + Diagnose patients using image processing algorithms on X-ray, MRI, or ultrasound images. <br> + Use multimodal image fusion to analyze different medical images for accurate diagnosis. <br> + Develop a visual representation of kidney disease progression over time. <br> + Optimize image processing algorithms for accurate and efficient diagnosis. <br> + Use cloud or server-based processing to reduce mobile device computational burden. <br> + Implement compression techniques to reduce the size of medical images for easier transmission and processing. <br> + Create an efficient caching mechanism to store previously processed images on the device. |
| IT20226596 | + Develop IoT hardware to collect real-time data on water quality. <br> + Implement a machine learning algorithm to predict water quality changes based on collected data. <br> + Integrate hardware and software into a cloud-based platform for data processing and analysis. <br> + Create a mobile dashboard to display real-time water quality data and alerts to kidney patients. <br> + Evaluate system performance and effectiveness through field trials and user feedback. |
| IT20235260 | + Predict whether the user will be having a kidney disease or else if he is already contracted ckd analyzing patients information. <br> + Display a graphical representation indicating the percentage of risk for developing any type of kidney disease based on the patient's answers. <br> + Provide information on the available treatment options and testing procedures for the type of kidney disease with the highest percentage risk. <br> + Display a list of the nearest medical facilities based on the patient's location, where they can undergo the necessary tests. |
| IT20785192 | + Categorize patients into Safe, Cautious, and Danger zones based on their blood's GFR, Potassium, and Prosperous levels. <br> + Provide estimated costs for medical help in Sri Lanka if patients fall into the Cautious or Danger zones. <br> + Educate patients on the benefits, risks, and costs of dialysis or transplant if they are recommended. |

## Other Necessary Information

#### Software Tools

* React Native
* Node JS
* Python
* TensorFlow
* MongoDB
* AWS

#### Hardware Tools

* Sensors - pH, temperature, condutivity, turbidity and dissolved oxygen
* Microcontrollers - Arduino / Raspberry pi

### Student Information

| Name  | IT Number                        | Email | Contact No |
|------------|-------------------------------------|---|---|
| Marasinghe M.M.K.L. | IT20154226 | it20154226@my.sliit.lk | 0713037712 |
|     Perera J.P.M.L.       |  IT20226596                                   |it20226596@my.sliit.lk |0776035479|
|        Samarawila D.R.N.    |      IT20235260                               |it20235260@my.sliit.lk|0712421580|
|          Isurika W.B.M.A.  |    IT20785291                                 |it20785291@my.sliit.lk    |0701484570|

### Supervisor Information

| Supervisor  | Co-Supervisor                          |
|------------|-------------------------------------|
| Ms.Wishalya Tissera | Mr. Samadhi Rathnayake |

